Support » Plugin: WooCommerce Stripe Payment Gateway » Stripe not working after update V4.1.2

  • Resolved charlesgale

    (@charlesgale)


    Updated the WooCommerce Stripe Gateway to V 4.1.2 and now is no longer working. Using WooCommerce 2.6.14.

    Getting red notification on my dashboard of “Stripe requires WooCommerce to be installed and active. You can download WooCommerce here.”

Viewing 7 replies - 1 through 7 (of 7 total)
  • Re-Installed V4.1.1 and it works fine.

    Plugin Author royho

    (@royho)

    Check and make sure your woocommerce plugin folder name is woocommerce and not renamed something else.

    My folder is named “woocommerce-2.6.14”. Last modified a year ago.

    My folder is named woocommerce, but I’m still getting fatal errors with 4.1.2:

    stderr: PHP message: PHP Fatal error:  require(): Failed opening required '/home/www/domain.com/public_html/wp-content/plugins/woocommerce-gateway-stripe/includes/admin/stripe-bitcoin-settings.php' include_path='.:/usr/local/share/pear') in /home/www/domain.com/public_html/wp-content/plugins/woocommerce-gateway-stripe/includes/payment-methods/class-wc-gateway-stripe-bitcoin.php on line 169, referer: https://www.domain.com/wp-admin/plugins.php?plugin
    _status=all&paged=1&s
    • This reply was modified 2 years, 3 months ago by jasonmj.
    Plugin Support dougaitken

    (@dougaitken)

    Automattic Happiness Engineer

    Hi @charlesgale

    My folder is named “woocommerce-2.6.14”. Last modified a year ago.

    That will cause a lot of problems, like this one you are experiencing. Always make sure your WooCommerce plugin folder is only named woocommerce.

    @jasonmj

    Bitcoin was depreciated in 4.1.2 so I’m confused why this should be causing an issue.
    The error message mentions pear – can you check with your host that everything is correct and up to date?

    Thanks

    Plugin Support dougaitken

    (@dougaitken)

    Automattic Happiness Engineer

    Hi all,

    Hope you got your conflicts fixed up as we haven’t heard back from you on this thread.

    I’m going to mark this as resolved – if you have any further questions, you can start a new thread or reach out via WooCommerce.com/my-account

    Thanks,

    If I change my woocommerce-2.6.14 folder name to just woocommerce its crashing my site. That folder has always been named that so not sure why all of a sudden its become and issue with this update of Stripe. For now I’m running the old version of Stripe. Any advice here?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Stripe not working after update V4.1.2’ is closed to new replies.